/*
 * WItalk2 - italk client for Win32
 * Copyright (C) 1996-1997, TAGA Nayuta <nayuta@is.s.u-tokyo.ac.jp>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

///////////////////////////////////////////////////////////////////////////////
// BackLogWindow.h

#pragma	once

#include	<windows.h>

class WItalk2;
class ItalkView;

class BackLogWindow
{
	static ATOM	rrcex;
protected://oϐ
	HWND m_hWnd;
	WItalk2* m_pWItalk2;
	ItalkView* m_pView;

	WNDPROC m_procItalkView;
	WNDPROC	m_mainWndProc;
public:
	BackLogWindow();
	virtual ~BackLogWindow();

	BOOL create( HINSTANCE hInst, WItalk2* pwt2 );

	HWND getHwnd() { return m_hWnd; }

	void AddLog( const wchar_t* text, BOOL auto_scroll );

	BOOL onCreate();
protected:
	// WindowvV[W
	static LPCSTR getClassName() { return "BACKLOGWND_CLASS"; }
	static LRESULT CALLBACK WndProc(HWND hwnd,UINT message,UINT wParam,LONG lParam);
	
	static LRESULT CALLBACK ViewWndProc(HWND hwnd,UINT message,UINT wParam,LONG lParam);
	static LRESULT CALLBACK MainWndProc(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam);
	static void popupRbuttonmenuBacklog(HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam);
	//bZ[W̏
	virtual LRESULT dispatch( HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam );
};
