/*
 * LIBGANA - library for GANA
 * Copyright (C) 1996-1997, TAGA Nayuta <nayuta@is.s.u-tokyo.ac.jp>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

///////////////////////////////////////////////////////////////////////////////
// lgUniqueData.h


#ifndef __lgUniqueData_h__
#define __lgUniqueData_h__


class lgUniqueData
{
  int count;
  
public:
  // lgUniqueData  new ɂĊmۂ邱
  lgUniqueData(void) : count(1) {}
  
  virtual ~lgUniqueData() {};
  
  int Count(void) { return count; }
  
  int operator++()
  {
    if (this)
      return ++count;
    else
      return 0;
  }
  
  int operator--()
  {
    if (this)
      if (--count == 0)
      {
	delete this;
	return 0;
      }
      else
	return count;
    return 0;
  }
};


#endif
